Bug 285181 - hda_intel soundcard not detected in newer errata kernels (2.6.22.4)
hda_intel soundcard not detected in newer errata kernels (2.6.22.4)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 17:34 EDT by Chris Seawood
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.6.22.5-49.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 17:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Seawood 2007-09-10 17:34:56 EDT
After upgrading to the latest errata kernels (2.6.22.x), the sigmatel soundcard
in my Dell Dimension 9150 is no longer detected.  I see the following messages
in dmesg:

stac92xx_auto_fill_dac_nids: No available DAC for pin 0x15
hda-intel: no codecs initialized

I had to apply the patches from the following links to get sound working again:
http://mailman.alsa-project.org/pipermail/alsa-devel/2007-July/001784.html
http://mailman.alsa-project.org/pipermail/alsa-devel/2007-July/001886.html
Comment 1 Chuck Ebbert 2007-09-10 18:02:34 EDT
Those patches are already in kernel-2.6.22.5-49.fc6, in the updates-testing
repository.  You can install it with (but see below first):

 # yum --enablerepo=updates-testing update kernel

Increasing the number of kernels that yum keeps installed may be a good idea.
Edit /etc/yum/pluginconf.d/installonlyn.conf and change "TOKEEP=2" to a larger
number to keep more than two kernels installed.

Note You need to log in before you can comment on or make changes to this bug.